%define major 3
%define libname %mklibname ctemplate %{major}
%define develname %mklibname ctemplate -d

Summary:        Simple but powerful template language for C++
Name:           ctemplate
Version:        2.3
Release:        %mkrel 2
Group:          System/Libraries
License:        BSD
URL:            https://github.com/olafvdspek/ctemplate
Source:         https://github.com/OlafvdSpek/ctemplate/archive/ctemplate-%{version}.tar.gz
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  autoconf

%description
The ctemplate package contains a library implementing a simple but
powerful template language for C++.  It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language.  This limits the power of the template language
without limiting the power of the template *system*.  Indeed, Google's
"main" web search uses this system exclusively for formatting output.

%package -n     %{libname}
Summary:        Simple but powerful template language for C++
Group:          System/Libraries
Obsoletes:      %{_lib}ctemplate0 >= 2.2

%description -n %{libname}
The ctemplate package contains a library implementing a simple but
powerful template language for C++.  It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language.  This limits the power of the template language
without limiting the power of the template *system*.  Indeed, Google's
"main" web search uses this system exclusively for formatting output.

%package -n     %{develname}
Summary:        Development files for the %{name} library
Group:          Development/C
Provides:       %{name}-devel = %{version}
Provides:       lib%{name}-devel = %{version}
Requires:       %{libname} = %{version}
Obsoletes:      %{mklibname ctemplate 0 -d}

%description -n %{develname}
The ctemplate-devel package contains static and debug libraries and header
files for developing applications that use the ctemplate package.

%prep
%setup -q -n ctemplate-ctemplate-%{version}

%build
export PTHREAD_LIBS="-lpthread"
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_docdir}/ctemplate-*

# don't ship .la
find %{buildroot} -name "*.la" | xargs rm -f

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL README doc/*
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/ctemplate/*
%{_libdir}/pkgconfig/libctemplate*.pc
%{_bindir}/diff_tpl_auto_escape
%{_bindir}/make_tpl_varnames_h
%{_bindir}/template-converter
%{_libdir}/*.so


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 2.3-2.mga6
+ Revision: 953646
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 shlomif <shlomif> 2.3-1.mga6
+ Revision: 839177
- New version 2.3

* Wed Oct 15 2014 umeabot <umeabot> 2.2-7.mga5
+ Revision: 748112
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2-6.mga5
+ Revision: 693704
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2-5.mga5
+ Revision: 678610
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2-4.mga4
+ Revision: 503644
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.2-3.mga3
+ Revision: 348388
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 fwang <fwang> 2.2-2.mga3
+ Revision: 279439
- lock libmajor

* Mon Aug 06 2012 sander85 <sander85> 2.2-1.mga3
+ Revision: 279400
- New version: 2.2.

* Sat Mar 03 2012 dams <dams> 2.0-1.mga2
+ Revision: 217453
- new version 2.0
- clean spec file

* Fri Feb 11 2011 ahmad <ahmad> 0.99-1.mga1
+ Revision: 50602
- update to 0.99
- BR autoconf not autoconf2.5
- enable check, works now
- drop old/unneeded scriptlets
- don't ship .la
- update the file list
- imported package ctemplate


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96-2mdv2011.0
+ Revision: 610174
- rebuild

* Tue Oct 27 2009 Ahmad Samir <ahmadsamir@mandriva.org> 0.96-1mdv2010.1
+ Revision: 459501
- New release 0.96

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.94-1mdv2010.0
+ Revision: 376957
- 0.94

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 0.90-1mdv2009.0
+ Revision: 200403
- 0.90

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdv2008.1
+ Revision: 96986
- 0.8
- new devel naming

* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2008.0
+ Revision: 43639
- Import ctemplate



* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2008.0
- 0.6.1

* Fri Jul 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- 0.2

* Tue May 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- initial Mandriva package
